db.view-class {PivotalR} | R Documentation

## Class `"db.view"`

### Description

A sub-class of `db.data.frame` which points to tables in the database

### Objects from the Class

Objects can be created by calls of `db.data.frame` or `as.db.data.frame`

### Slots

As a sub-class, this class has all the slots of `db.data.frame`. Here we list the extra slots.

`.key`:

  Object of class `"character"`. The name of the primary key column name when the view is materialized. The view in the database does not have a primary key. Currently only one primary key column is supported. This value can be set during the creation of the object when using the function `db.data.frame`. The functions `key` and `key<-` can be used to get and set this value.

### Extends

Class `"db.data.frame"`, directly. Class `"db.obj"`, by class "db.data.frame", distance 2.

### Methods

See `db.data.frame` for all the methods that can take this class of object as an object.xs

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.data.frame` creates a `db.data.frame` object.

`as.db.data.frame` converts `db.Rquery` object, `data.frame`, or a data file into a `db.data.frame` object and at the same time creates a new table in the database.

`db.data.frame` is the superclass.

`db.table` is the other subclass of `db.data.frame`

`db.Rquery` is another sub-class of `db.obj`.

`lk` or `lookat` display a part of the table

[Package PivotalR version 0.1.18.3.1 Index]